size(800, 600)
#background(0)


# Import the library
try:
    # This is the statement you normally use.
    pysight = ximport("PySight")
except ImportError:
    # But since these examples are "inside" the library
    # we may need to try something different when
    # the library is not located in /Application Support
    pysight = ximport("__init__")
    reload(pysight)
import time
import pprint

import Foundation
NSObject = Foundation.NSObject

class IcamController(NSObject):
    def init(self):
        # start recording
        self.camera = pysight.CSGCamera.alloc().init()
        self.camera.setDelegate_(self)
        self.lastTime = 0
        self.lastImage = None
        self.count = 0
        return self

    def start(self):
        self.camera.startWithSize_( (800, 600) )

    def stop(self):
        self.camera.stop()        

    # CSGCamera delegate
    def camera_didReceiveFrame_(self, aCamera, aFrame):
        self.lastTime = aFrame.sampleTime()
        self.lastImage = aFrame
        self.count += 1
        print "received", self.count

cam = IcamController.alloc().init()
cam.start()

time.sleep(2.5)

speed( 4 )

def setup():
    print"setup"

count = 0
def draw():
    global count
    count += 1
    # print "draw"
    im = cam.lastImage
    try:
        image(None, x=0, y=0, image=im)
    except Exception, err:
        # print err
        print "CAM count", cam.count
    print count 
